---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: Service
  metadata:
    name: {{ app }}{{ item | regex_replace('\\.','-') }}-svc
    labels: 
      app: {{ app }}{{ item | regex_replace('\\.','-') }}
  spec:
    type: NodePort
    ports:
      - name: {{ app }}
        port: {{ pg_port }}
    selector: 
      app: {{ app }}{{ item | regex_replace('\\.','-') }}
- apiVersion: extensions/v1beta1
  kind: Deployment
  metadata:
    name: {{ app }}{{ item | regex_replace('\\.','-') }}-dply
  spec:
    template:
      metadata:
        labels:
          app: {{ app }}{{ item | regex_replace('\\.','-') }}
      spec:
        containers:
          - name: {{ app }}{{ item | regex_replace('\\.','-') }}
            image: {{ app }}:{{ item }}
            ports:
              - containerPort: {{ pg_port }}
                name: {{ app }}
                protocol: TCP
            volumeMounts:
            - name: config-volume
              mountPath: "{{ pg_conf }}"
        volumes:
          - name: config-volume
            configMap:
              name: "{{ app }}-{{item}}-config"